# CVertexInfoGeneratorGarland Class Reference

`#include <CVertexInfoGarland.h>`

Inheritance diagram for CVertexInfoGeneratorGarland:

List of all members.

## Public Types
enum | { FROM_VERTICES = 0x1, FROM_TRIANGLES = 0x2 }
| Two ways of computing the feature.
enum | { TYPE_GARLAND = 0x1, TYPE_COVARIANCE = 0x2 }
| Two types of covariance matrices from which the feature is computed.
## Public Member Functions
| MDS_SHAREDPTR (CVertexInfoGeneratorGarland)
| Smart pointer declaration.
| CVertexInfoGeneratorGarland (unsigned type=TYPE_GARLAND, unsigned source=FROM_TRIANGLES, int iSize=1, bool cont=false)
| Standard constructor.
virtual | ~CVertexInfoGeneratorGarland ()
| Destructor.
bool | operator!= (const CVertexInfoGeneratorGarland &g)
| Nonequality operator.
virtual bool | generate (CSmoothingMesh *mesh)
| Virtual method that generates.
virtual bool | init ()
| Initialization method.
void | xMatrixVertCov (vctl::MCVertex *vertex, CSmoothingMesh *mesh, mds::math::CDMatrix &X)
| Additional method for creating standard covariance matrices from vertices normals.
void | xMatrixVertGar (vctl::MCVertex *vertex, CSmoothingMesh *mesh, mds::math::CDMatrix &X)
| Additional method for creating zero-mean covariance matrices from vertices normals.
void | xMatrixTriCov (vctl::MCVertex *vertex, CSmoothingMesh *mesh, mds::math::CDMatrix &X)
| Additional method for creating standard covariance matrices from triangle normals.
void | xMatrixTriGar (vctl::MCVertex *vertex, CSmoothingMesh *mesh, mds::math::CDMatrix &X)
| Additional methods for creating zero-mean covariance matrices from triangle normals.
virtual void | normalize ()
| Normalization.
void | setSize (int size)
| Sets neighbourhood size.
int | getSize ()
| Returns neighbourhood size.
void | setType (unsigned type)
| Sets feature type.
unsigned | getType ()
| Returns feature type.
void | setSource (unsigned source)
| Sets feature source.
unsigned | getSource ()
| Returns feature source.
bool | setCont (bool cont)
| Sets cont.
## Static Public Member Functions
static CVertexInfoGenerator * | create ()
| Returns new instance of this feature (obsolete).
## Protected Attributes
int | iSize
| Neighbourhood size.
unsigned | iType
| Type of feature.
unsigned | iSource
| Type of source primitives.
bool | bInvert
| Flags for additional processing of the feature.
bool | bNormalize
bool | bTrim
bool | bCont

## Detailed Description

VertexInfoGeneratorGarland class

- generator, that creates zero-mean covariance features for the whole mesh

The documentation for this class was generated from the following files:

- D:/work/as_smooth/MeshSmoothingTools/include/features/CVertexInfoGarland.h
- D:/work/as_smooth/MeshSmoothingTools/src/features/CVertexInfoGarland.cpp

All Classes Functions Variables